<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: general_box Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">general_box Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a256d461475a85bdf69473336e72c1a5e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a256d461475a85bdf69473336e72c1a5e">umean</a></td></tr>
<tr class="separator:a256d461475a85bdf69473336e72c1a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bb26650edba84651dbe812d277c17e2"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a6bb26650edba84651dbe812d277c17e2">wmean</a></td></tr>
<tr class="separator:a6bb26650edba84651dbe812d277c17e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3a90aaf63d2fef12faf3a8bddc7a95"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a1e3a90aaf63d2fef12faf3a8bddc7a95">vmean</a></td></tr>
<tr class="separator:a1e3a90aaf63d2fef12faf3a8bddc7a95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e77a7c8d3d25033a1a72d3dab78e2a"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#ad3e77a7c8d3d25033a1a72d3dab78e2a">lx</a></td></tr>
<tr class="separator:ad3e77a7c8d3d25033a1a72d3dab78e2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a052c86c7d9c1b877ebacf626a4c94de9"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a052c86c7d9c1b877ebacf626a4c94de9">lz</a></td></tr>
<tr class="separator:a052c86c7d9c1b877ebacf626a4c94de9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48b2ebc96262b0e855db033f7d7aa20f"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a48b2ebc96262b0e855db033f7d7aa20f">ly</a></td></tr>
<tr class="separator:a48b2ebc96262b0e855db033f7d7aa20f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8ca066884519afdc71752c392953c26"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#ab8ca066884519afdc71752c392953c26">dx</a></td></tr>
<tr class="separator:ab8ca066884519afdc71752c392953c26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bf77f896a55fb9d64591d14f1d8d274"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a7bf77f896a55fb9d64591d14f1d8d274">dy</a></td></tr>
<tr class="separator:a7bf77f896a55fb9d64591d14f1d8d274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3113f224c4f489061ebfbe8d4f9b313b"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a3113f224c4f489061ebfbe8d4f9b313b">dz</a></td></tr>
<tr class="separator:a3113f224c4f489061ebfbe8d4f9b313b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e5615175f470b56ee5e9cc12404ae95"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a1e5615175f470b56ee5e9cc12404ae95">u</a></td></tr>
<tr class="separator:a1e5615175f470b56ee5e9cc12404ae95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5edf82129fb193e05abc573f5e068c60"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a5edf82129fb193e05abc573f5e068c60">v</a></td></tr>
<tr class="separator:a5edf82129fb193e05abc573f5e068c60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34596c2e6784f29f0ec9b67cce589528"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegeneral__box.html#a34596c2e6784f29f0ec9b67cce589528">w</a></td></tr>
<tr class="separator:a34596c2e6784f29f0ec9b67cce589528"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ab8ca066884519afdc71752c392953c26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8ca066884519afdc71752c392953c26">&#9670;&nbsp;</a></span>dx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::dx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7bf77f896a55fb9d64591d14f1d8d274"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bf77f896a55fb9d64591d14f1d8d274">&#9670;&nbsp;</a></span>dy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::dy</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3113f224c4f489061ebfbe8d4f9b313b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3113f224c4f489061ebfbe8d4f9b313b">&#9670;&nbsp;</a></span>dz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::dz</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3e77a7c8d3d25033a1a72d3dab78e2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3e77a7c8d3d25033a1a72d3dab78e2a">&#9670;&nbsp;</a></span>lx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::lx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a48b2ebc96262b0e855db033f7d7aa20f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48b2ebc96262b0e855db033f7d7aa20f">&#9670;&nbsp;</a></span>ly</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::ly</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a052c86c7d9c1b877ebacf626a4c94de9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a052c86c7d9c1b877ebacf626a4c94de9">&#9670;&nbsp;</a></span>lz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::lz</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e5615175f470b56ee5e9cc12404ae95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e5615175f470b56ee5e9cc12404ae95">&#9670;&nbsp;</a></span>u</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer general_box::u</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a256d461475a85bdf69473336e72c1a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a256d461475a85bdf69473336e72c1a5e">&#9670;&nbsp;</a></span>umean</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::umean</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5edf82129fb193e05abc573f5e068c60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5edf82129fb193e05abc573f5e068c60">&#9670;&nbsp;</a></span>v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer general_box::v</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e3a90aaf63d2fef12faf3a8bddc7a95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3a90aaf63d2fef12faf3a8bddc7a95">&#9670;&nbsp;</a></span>vmean</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::vmean</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a34596c2e6784f29f0ec9b67cce589528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34596c2e6784f29f0ec9b67cce589528">&#9670;&nbsp;</a></span>w</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer general_box::w</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bb26650edba84651dbe812d277c17e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bb26650edba84651dbe812d277c17e2">&#9670;&nbsp;</a></span>wmean</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) general_box::wmean</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
